summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 000000000000..8183a7fb3151
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+aclocal $ACLOCAL_FLAGS || exit 1
+automake --gnu --add-missing --copy || exit 1
+autoconf || exit 1
+
+if test "x$NOCONFIGURE" = "x"; then
+ ./configure "$@"
+else
+ echo "Skipping configure process."
+fi